<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full section">
  <app-selection
    [items]="(adapters$ | async) ?? []"
    [loading]="(initializing$ | async) ?? false"
    [error]="(errorInitializing$ | async) != null ? 'Failed to load My Org items' : null"
    [search]="search"
    [defaultPicked]="defaultPicked"
    (onChange)="onChange($event)"
    [inflectCount]="inflectCount"
  >
    <ng-template #preview let-adapter>
      <app-adapter-preview [adapter]="adapter"></app-adapter-preview>
    </ng-template>
    <!-- <ng-template #action>
      <div class="pb-6">
        <p-button label="Add Adapter" icon="pi pi-plus" severity="secondary"></p-button>
      </div>
    </ng-template> -->
    <ng-template #detail let-adapter>
      <router-outlet *ngIf="adapter"></router-outlet>
      <div *ngIf="!adapter" class="w-full h-full">
        <div class="w-full h-full flex items-center justify-center bg-secondary-50 text-text-300 rounded-sm text-base">No adapter selected</div>
      </div>
    </ng-template>
    <ng-template #onError>
      <div class="w-full flex flex-col items-center gap-12 mt-24">
        <div class="text-lg font-semibold text-text-300">
          <app-sad-face></app-sad-face>
        </div>
        <div class="flex flex-col gap-4 items-center">
          <p-message severity="warning" [text]="errorInitializing != null ? 'Failed to load adapters': undefined"></p-message>
          <p-button label="Try Again" [outlined]="true" size="small" (click)="onTryAgain()"></p-button>
        </div>
      </div>
    </ng-template>
    <ng-template #onEmpty>
      <div class="w-full flex flex-col items-center gap-4 mt-8">
        <div class="text-lg font-semibold text-text-300">
          <app-sad-face></app-sad-face>
        </div>
        <div class="text-text-300">No adapters</div>
      </div>
    </ng-template>
  </app-selection>
</div>
